org.eclipse.rdf4j.model.vocabulary

## Class DOAP

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.DOAP

-     public class DOAP
      extends Object

  Constants for the Description of a Project.
  See Also:
    Description of a Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ANON_ROOT` `doap:anon-root`
    `static IRI` | `ARCH_REPOSITORY` `doap:ArchRepository`
    `static IRI` | `AUDIENCE` `doap:audience`
    `static IRI` | `BAZAAR_BRANCH` `doap:BazaarBranch`
    `static IRI` | `BKREPOSITORY` `doap:BKRepository`
    `static IRI` | `BLOG` `doap:blog`
    `static IRI` | `BROWSE` `doap:browse`
    `static IRI` | `BUG_DATABASE` `doap:bug-database`
    `static IRI` | `CATEGORY` `doap:category`
    `static IRI` | `CREATED` `doap:created`
    `static IRI` | `CVSREPOSITORY` `doap:CVSRepository`
    `static IRI` | `DARCS_REPOSITORY` `doap:DarcsRepository`
    `static IRI` | `DESCRIPTION` `doap:description`
    `static IRI` | `DEVELOPER` `doap:developer`
    `static IRI` | `DEVELOPER_FORUM` `doap:developer-forum`
    `static IRI` | `DOCUMENTER` `doap:documenter`
    `static IRI` | `DOWNLOAD_MIRROR` `doap:download-mirror`
    `static IRI` | `DOWNLOAD_PAGE` `doap:download-page`
    `static IRI` | `FILE_RELEASE` `doap:file-release`
    `static IRI` | `GIT_BRANCH` `doap:GitBranch`
    `static IRI` | `GIT_REPOSITORY` `doap:GitRepository`
    `static IRI` | `HELPER` `doap:helper`
    `static IRI` | `HG_REPOSITORY` `doap:HgRepository`
    `static IRI` | `HOMEPAGE` `doap:homepage`
    `static IRI` | `IMPLEMENTS` `doap:implements`
    `static IRI` | `LANGUAGE` `doap:language`
    `static IRI` | `LICENSE` `doap:license`
    `static IRI` | `LOCATION` `doap:location`
    `static IRI` | `MAILING_LIST` `doap:mailing-list`
    `static IRI` | `MAINTAINER` `doap:maintainer`
    `static IRI` | `MODULE` `doap:module`
    `static IRI` | `NAME` `doap:name`
    `static String` | `NAMESPACE` The DOAP namespace: http://usefulinc.com/ns/doap#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `OLD_HOMEPAGE` `doap:old-homepage`
    `static IRI` | `OS` `doap:os`
    `static IRI` | `PLATFORM` `doap:platform`
    `static String` | `PREFIX` Recommended prefix for the namespace: "doap"
    `static IRI` | `PROGRAMMING_LANGUAGE` `doap:programming-language`
    `static IRI` | `PROJECT` `doap:Project`
    `static IRI` | `RELEASE` `doap:release`
    `static IRI` | `REPOSITORY` `doap:Repository`
    `static IRI` | `REPOSITORY_OF` `doap:repositoryOf`
    `static IRI` | `REPOSITORY_PROP` `doap:repository`
    `static IRI` | `REVISION` `doap:revision`
    `static IRI` | `SCREENSHOTS` `doap:screenshots`
    `static IRI` | `SERVICE_ENDPOINT` `doap:service-endpoint`
    `static IRI` | `SHORTDESC` `doap:shortdesc`
    `static IRI` | `SPECIFICATION` `doap:Specification`
    `static IRI` | `SUPPORT_FORUM` `doap:support-forum`
    `static IRI` | `SVNREPOSITORY` `doap:SVNRepository`
    `static IRI` | `TESTER` `doap:tester`
    `static IRI` | `TRANSLATOR` `doap:translator`
    `static IRI` | `VENDOR` `doap:vendor`
    `static IRI` | `VERSION` `doap:Version`
    `static IRI` | `WIKI` `doap:wiki`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOAP()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The DOAP namespace: http://usefulinc.com/ns/doap#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "doap"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ARCH_REPOSITORY

          public static final IRI ARCH_REPOSITORY

      `doap:ArchRepository`

    - #### BKREPOSITORY

          public static final IRI BKREPOSITORY

      `doap:BKRepository`

    - #### BAZAAR_BRANCH

          public static final IRI BAZAAR_BRANCH

      `doap:BazaarBranch`

    - #### CVSREPOSITORY

          public static final IRI CVSREPOSITORY

      `doap:CVSRepository`

    - #### DARCS_REPOSITORY

          public static final IRI DARCS_REPOSITORY

      `doap:DarcsRepository`

    - #### GIT_BRANCH

          public static final IRI GIT_BRANCH

      `doap:GitBranch`

    - #### GIT_REPOSITORY

          public static final IRI GIT_REPOSITORY

      `doap:GitRepository`

    - #### HG_REPOSITORY

          public static final IRI HG_REPOSITORY

      `doap:HgRepository`

    - #### PROJECT

          public static final IRI PROJECT

      `doap:Project`

    - #### REPOSITORY

          public static final IRI REPOSITORY

      `doap:Repository`

    - #### SVNREPOSITORY

          public static final IRI SVNREPOSITORY

      `doap:SVNRepository`

    - #### SPECIFICATION

          public static final IRI SPECIFICATION

      `doap:Specification`

    - #### VERSION

          public static final IRI VERSION

      `doap:Version`

    - #### ANON_ROOT

          public static final IRI ANON_ROOT

      `doap:anon-root`

    - #### AUDIENCE

          public static final IRI AUDIENCE

      `doap:audience`

    - #### BLOG

          public static final IRI BLOG

      `doap:blog`

    - #### BROWSE

          public static final IRI BROWSE

      `doap:browse`

    - #### BUG_DATABASE

          public static final IRI BUG_DATABASE

      `doap:bug-database`

    - #### CATEGORY

          public static final IRI CATEGORY

      `doap:category`

    - #### CREATED

          public static final IRI CREATED

      `doap:created`

    - #### DESCRIPTION

          public static final IRI DESCRIPTION

      `doap:description`

    - #### DEVELOPER

          public static final IRI DEVELOPER

      `doap:developer`

    - #### DEVELOPER_FORUM

          public static final IRI DEVELOPER_FORUM

      `doap:developer-forum`

    - #### DOCUMENTER

          public static final IRI DOCUMENTER

      `doap:documenter`

    - #### DOWNLOAD_MIRROR

          public static final IRI DOWNLOAD_MIRROR

      `doap:download-mirror`

    - #### DOWNLOAD_PAGE

          public static final IRI DOWNLOAD_PAGE

      `doap:download-page`

    - #### FILE_RELEASE

          public static final IRI FILE_RELEASE

      `doap:file-release`

    - #### HELPER

          public static final IRI HELPER

      `doap:helper`

    - #### HOMEPAGE

          public static final IRI HOMEPAGE

      `doap:homepage`

    - #### IMPLEMENTS

          public static final IRI IMPLEMENTS

      `doap:implements`

    - #### LANGUAGE

          public static final IRI LANGUAGE

      `doap:language`

    - #### LICENSE

          public static final IRI LICENSE

      `doap:license`

    - #### LOCATION

          public static final IRI LOCATION

      `doap:location`

    - #### MAILING_LIST

          public static final IRI MAILING_LIST

      `doap:mailing-list`

    - #### MAINTAINER

          public static final IRI MAINTAINER

      `doap:maintainer`

    - #### MODULE

          public static final IRI MODULE

      `doap:module`

    - #### NAME

          public static final IRI NAME

      `doap:name`

    - #### OLD_HOMEPAGE

          public static final IRI OLD_HOMEPAGE

      `doap:old-homepage`

    - #### OS

          public static final IRI OS

      `doap:os`

    - #### PLATFORM

          public static final IRI PLATFORM

      `doap:platform`

    - #### PROGRAMMING_LANGUAGE

          public static final IRI PROGRAMMING_LANGUAGE

      `doap:programming-language`

    - #### RELEASE

          public static final IRI RELEASE

      `doap:release`

    - #### REPOSITORY_PROP

          public static final IRI REPOSITORY_PROP

      `doap:repository`

    - #### REPOSITORY_OF

          public static final IRI REPOSITORY_OF

      `doap:repositoryOf`

    - #### REVISION

          public static final IRI REVISION

      `doap:revision`

    - #### SCREENSHOTS

          public static final IRI SCREENSHOTS

      `doap:screenshots`

    - #### SERVICE_ENDPOINT

          public static final IRI SERVICE_ENDPOINT

      `doap:service-endpoint`

    - #### SHORTDESC

          public static final IRI SHORTDESC

      `doap:shortdesc`

    - #### SUPPORT_FORUM

          public static final IRI SUPPORT_FORUM

      `doap:support-forum`

    - #### TESTER

          public static final IRI TESTER

      `doap:tester`

    - #### TRANSLATOR

          public static final IRI TRANSLATOR

      `doap:translator`

    - #### VENDOR

          public static final IRI VENDOR

      `doap:vendor`

    - #### WIKI

          public static final IRI WIKI

      `doap:wiki`

  - ### Constructor Detail

    - #### DOAP

          public DOAP()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.